Change PHP Version

Discussion in 'General' started by vmbelizario, Oct 14, 2015.

  1. vmbelizario

    vmbelizario New Member

    Hi guys!
    i'm having a little issue with PHP Version. I followed this guide and sucefully installed PHP 5.3 and PHP 5.5 in my server (Centos 7 + Nginx). I have configured the others 2 versions in ISPConfig panel, and the only problem is : When i change the version for website , click in save button, the website give me 502 Bad Gateway error. The logs inside /var/www/ say :
    connect() to unix:/var/lib/php5-fpm/web1.sock failed (2: No such file or directory) while connecting to upstream.
    BUT, if i restart the server or just restart the php services :
    systemctl restart php-fpm
    /etc/init.d/php-5.5.13-fpm restart
    /etc/init.d/php-5.3.22-fpm restart
    and test, the website works again great with the version i choose. (I use a info.php to check).
    Someone know what is this issue ? How can we fix it or just configure ISPConfig to restart the services when i change a website PHP Version ?

    Thank very much !
  2. till

    till Super Moderator Staff Member ISPConfig Developer

  3. vmbelizario

    vmbelizario New Member

    Thanks so much.
    Can we do some of the options to solve this ?
    "Option4: ignore CentOS7-"patch". Since CentOS7+ can still handle initd scripts if properly configured, there is actually no need to handle CentOS seperately. Just use the initd scripts."
    Look like easy, right ?
    Maybe if we found what sh script / php script ISPconfig calls when we change a PHP Version, we can just edit and put the commands to restart the 3 services. I'm wrong ?

    Thanks again !

Share This Page